require("csvutils")
require("description")
require("orderediterator")
require("ftcrecords")
require("ftcserverrecords")
require("ftcserverbuffer")
require("iperfrecords")
require("multiclientrecords")


for _,v in ipairs(descriptor) do
    if v.proccess then 
        if     v.dtype == "ftc"          then processFtc(v)
        elseif v.dtype == "server"       then processServerLog(v)
        elseif v.dtype == "multiclient"  then processMultiClient(v)
        elseif v.dtype == "serverbuffer" then processServerBuffer(v)
        elseif v.dtype == "iperf"        then processIperf(v)
        end
	end
end

