local io = io
local print = print
local ipairs = ipairs
local pairs = pairs
local string = string
local PARAMS = ftcbench.parameters 

module("ftcbench.bonnie")

local name = "Bonnie++"

local command = './bin/bonnie++ -q -f -d /tmp/ | grep "," | cut -d "," -f 5,11'

local conf 

function setConfig(config)
    conf = config
end

function getName()
    return name
end

function run()
    print("This test can take serveral minutes.")

    if conf.Debug then
        print("Command: " .. command)
    end

    local output = io.popen(command)

    if not output then
        return nil , name .. " Error: Could not execute the given command!"
    end

    local outputFile , err  = io.open(conf.OutputDir .. "bonnie.txt", "a+")
    
    if not outputFile then
        return nil , name .. " Error: " .. err
    end
    outputFile:seek("end")
    outputFile:write(output:read("*all"))
    output:close()
    outputFile:close()
end
